import { useEffect, useState } from "react";
import { useMyContext } from "../context/MyContext";

const ExploreContainer: React.FC<ContainerProps> = ({ name }) => {
  let {
    my_context,
    setMyContext,
    test_first,
    setTestFirst,
    test_second,
    setTestSecond,
    test_third,
    setTestThird,
  } = useMyContext();

  return (
    <div>
      {JSON.stringify(my_context)}
      <pre className="container">{JSON.stringify(test_third, null, 2)}</pre>
    </div>
  );
};

export default ExploreContainer;

interface ContainerProps {
  name: string;
}
